from django.contrib import admin
from django.urls import path

from .views import (auth, get_username, index, login, logout, redirect, signup,
                    username_exists)

urlpatterns = [
    path("", index),
    path("login/", login),
    path("signup/", signup),
    path("logout/", logout),
    path("auth/", auth),
    path("redirect/", redirect),
    path("api/authenticated/", get_username),
    path("api/username/", username_exists),
    path("django-admin/", admin.site.urls)
]
